<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Name: Pflegearzt (Kurator)
Description: 
                 Der Arzt, der sich gegenüber der Zentralen Infrastruktur (ZI) als zuständig für die Pflege der Hauskomet Medikationsinformation und Stammdaten des Patienten ausgibt. 
                 Im Standardfall ist dieser personenidentisch mit dem HZV-Betreuarzt. Der Hauskomet-Pflegearzt ist der Arzt, dessen BSNR von der ZI bei Änderungen benachrichtigt wird. Daher muss der HK-Pflegearzt Gesamtvertragsteilnehmer sein. Im Rahmen der Stellvertreterregelung der HZV können auch nicht Vertragsteilnehmende Ärzte Leistungen im Rahmen von Hauskomet erbringen, die VSW seitig aber dem HK-Pflegearzt technisch zuzuordnen sind. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000">
   <title>Pflegearzt (Kurator)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]
Item: (Pflegearztkurator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]"
         id="d20e5002-false-d17300e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="string(@typeCode) = ('VRF')">(Pflegearztkurator): Der Wert von typeCode MUSS 'VRF' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Pflegearztkurator): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']) &gt;= 1">(Pflegearztkurator): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']) &lt;= 1">(Pflegearztkurator): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:time) &lt;= 1">(Pflegearztkurator): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(Pflegearztkurator): Element hl7:participantRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(Pflegearztkurator): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']"
         id="d20e5008-false-d17349e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.48.10.18')">(Pflegearztkurator): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.48.10.18' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:time
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:time"
         id="d20e5013-false-d17363e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole"
         id="d20e5015-false-d17382e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(Pflegearztkurator): Der Wert von classCode MUSS 'ROL' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]) &lt;= 1">(Pflegearztkurator): Element hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:playingEntity) &gt;= 1">(Pflegearztkurator): Element hl7:playingEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:playingEntity) &lt;= 1">(Pflegearztkurator): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:scopingEntity[not(@nullFlavor)]) &gt;= 1">(Pflegearztkurator): Element hl7:scopingEntity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="count(hl7:scopingEntity[not(@nullFlavor)]) &lt;= 1">(Pflegearztkurator): Element hl7:scopingEntity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:id
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:id"
         id="d20e5019-false-d17438e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor]"
         id="d20e5025-false-d17449e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(Pflegearztkurator): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:addr
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:addr"
         id="d20e5030-false-d17465e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:telecom
Item: (Pflegearztkurator)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:telecom"
         id="d20e5032-false-d17475e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-2.16.840.1.113883.3.1937.99.61.48.10.18-2019-02-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegearztkurator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:playingEntity
Item: (Pflegearztkurator)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:playingEntity
Item: (PersonElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(PersonElements): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(PersonElements): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(PersonElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(PersonElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:playingEntity/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:playingEntity/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.18
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]
Item: (Pflegearztkurator)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(OrganizationElements): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(OrganizationElements): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:addr) &lt;= 1">(OrganizationElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.18']]/hl7:participantRole/hl7:scopingEntity[not(@nullFlavor)]/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190925T221809/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
